commit:     58eb1223ebacad7e831bfafdaf46ec2420d305bd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 10 20:59:43 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Nov 10 21:10:51 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58eb1223

net-misc/autoupnp: Bump to EAPI 7

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-misc/autoupnp/autoupnp-0.4.7.ebuild | 6 ++----
 net-misc/autoupnp/autoupnp-9999.ebuild  | 7 ++++---
 2 files changed, 6 insertions(+), 7 deletions(-)

diff --git a/net-misc/autoupnp/autoupnp-0.4.7.ebuild 
b/net-misc/autoupnp/autoupnp-0.4.7.ebuild
index 5026fdeabd8..c418eecc98a 100644
--- a/net-misc/autoupnp/autoupnp-0.4.7.ebuild
+++ b/net-misc/autoupnp/autoupnp-0.4.7.ebuild
@@ -1,9 +1,7 @@
 # Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-
-inherit eutils
+EAPI=7
 
 DESCRIPTION="Automatic open port forwarder using UPnP"
 HOMEPAGE="https://github.com/mgorny/autoupnp/";
@@ -28,5 +26,5 @@ src_configure() {
 
 src_install() {
        default
-       prune_libtool_files --all
+       find "${D}" -name '*.la' -delete || die
 }

diff --git a/net-misc/autoupnp/autoupnp-9999.ebuild 
b/net-misc/autoupnp/autoupnp-9999.ebuild
index 2cc6e748442..f7ea428391e 100644
--- a/net-misc/autoupnp/autoupnp-9999.ebuild
+++ b/net-misc/autoupnp/autoupnp-9999.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-inherit autotools eutils git-r3
+inherit autotools git-r3
 
 DESCRIPTION="Automatic open port forwarder using UPnP"
 HOMEPAGE="https://github.com/mgorny/autoupnp/";
@@ -19,6 +19,7 @@ RDEPEND="net-libs/miniupnpc:0=
 DEPEND="${RDEPEND}"
 
 src_prepare() {
+       default
        eautoreconf
 }
 
@@ -32,5 +33,5 @@ src_configure() {
 
 src_install() {
        default
-       prune_libtool_files --all
+       find "${D}" -name '*.la' -delete || die
 }

Reply via email to